
.road-container {
    position: relative;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow-y: hidden !important;
    overflow-x: hidden !important;
}

.buildings-container {
    position: absolute;
    bottom: -40px;
    left: 100%;
    height: 100%;
    display: flex;
    will-change: transform;
    overflow: hidden !important;
}

.building {
    height: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    flex-shrink: 0;
    /* Para evitar distorção */
}

.road {
    position: absolute;
    bottom: 0;
    width: 200%;
    height: 50px;
    background: repeating-linear-gradient(90deg, #444 0%, #444 20%, #666 20%, #666 40%);
    background-size: 50px 100%;
    animation: roadMove 0.5s linear infinite;
    z-index: 2;
    will-change: transform;
}


@keyframes roadMove {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50px);
    }
}

.road.paused {
    animation: none;
    display: none;
    /* Para a animação */
}

.carro {
    position: absolute;
    bottom: 0px;
    z-index: 3;
    width: 150px;
}



.car_container_popup{
    position: absolute;
    transform:  translate(-50%, -50%);
    top: 50%;
    left: 50%;
    width: 320px;
    display: none;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
}



.tour-popup_carro {
    padding: 20px;
    background-color: #fdfdfd;
    border: 1px solid #ddd;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
    height: auto;
    font-family: 'Arial', sans-serif;
    text-align: center;
    animation: element_car_tour 0.7s ease-in-out;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}


@keyframes element_car_tour {
    0%{
       
       
        opacity: 0;
        transform: scale(0.4);
    }

    100%{
      
        transform: scale(1.1);
        opacity: 1;
    }
}


#startTourButton {
    background-color: #0062cc;
    /* Azul mais suave e elegante */
    color: white;
    border: none;
    border-radius: 8px;
    /* Bordas mais arredondadas */
    padding: 10px 20px;
    /* Mais espaçamento para um botão mais confortável */
    cursor: pointer;
    font-size: 14px;
    transition: background-color 0.3s ease;
    /* Suavidade na transição */
}

#closePopupButton {
    background-color: #dc3545;
    /* Vermelho refinado */
    margin-top: 10px;
    /* Espaçamento maior entre os botões */
    color: white;
    border: none;
    border-radius: 8px;
    /* Bordas arredondadas */
    padding: 10px 20px;
    cursor: pointer;
    font-size: 14px;
    transition: background-color 0.3s ease;
}

.tour-popup_carro div:hover {
    background-color: #004a99;
    /* Cor de hover mais suave e harmoniosa */
}

.tour-popup_carro button:hover {
    background-color: #c82333;
    /* Suavidade no hover do botão vermelho */
}


.animation_text_show{
    pointer-events: none;
    height: 80px;
    width: 300px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 99 !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.card-front {
    background: #01020388;
}

.card-front-one{
    background-image: 
    linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url('../Imagens/Capas/question_capa.jpg');
    background-position: center center;
    background-size: cover;
    background-position: center center;
}

.card-front-two{
    background-image: 
    linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url('../Imagens/Capas/ocean_question_2.jpg');
    background-position: center center;
    background-size: cover;
    background-position: center center;
}


.card-front-three{
    background-image: 
    linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url('../Imagens/Capas/travele_o1.jpg');
    background-position: center center;
    background-size: cover;
    background-position: center center;
}


.card-front-for{
    background-image: 
    linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url('../Imagens/Capas/travele_03.jpg');
    background-position: center center;
    background-size: cover;
    background-position: center center;
}


.card-front-five{
    background-image: 
    linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url('../Imagens/Capas/travele_05.jpg');
    background-position: center center;
    background-size: cover;
    background-position: center center;
}


.card-front-six{
    background-image: 
    linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url('../Imagens/Capas/travale-06.jpg');
    background-position: center center;
    background-size: cover;
    background-position: center center;
}

.card-front-seven{
    background-image: 
    linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url('../Imagens/Capas/travele-07.jpg');
    background-position: center center;
    background-size: cover;
    background-position: center center;
}